import { View, Image } from "@tarojs/components";
import tipsBox from '@/images/svgs/tips-box.svg'
import { useAppStore } from "@/store/appStore";

interface IProps {
  show: boolean,
}
export default function Index({show}:IProps) {
  const capsuleInfo = useAppStore.getState().capsuleInfo;
  if(show){
    return <View className="fixed right-4 p-16 top-0 w-[248px] h-[98px]" style={{
      top: `${capsuleInfo.bottom - 14}px`,
      zIndex: 1100
    }}>
      <Image src={tipsBox} mode="widthFix" className="absolute left-0 top-0 w-full h-full z-0" />
      <View className="relative z-10 p-16  text-14 leading-22 w-[204px]" style={{color: '#414A64'}}>
        <View className=" whitespace-nowrap">点击右上角 选择「添加到桌面」</View>
        <View className="">将智能体添加到桌面吧</View>
      </View>
    </View>
  }
  return <></>
}
